#ifndef PREFERENCESWIDGET_H
#define PREFERENCESWIDGET_H

#include "searchengine.h"
#include "dbse2.h"

class KDB2PreferencesWidget : public PrefWidget
{
	TQ_OBJECT
  

public:
	KDB2PreferencesWidget(TQWidget *parent=0, const char* name=0);
	virtual ~KDB2PreferencesWidget();

	virtual void apply();
	virtual void cancel();
	virtual void standard();
	DBSearchEnginePrefWidget *dbpw;

signals:
     void applyNow();
     void restoreNow();

};

#endif
